/*
███████╗██╗███╗   ██╗ ██████╗ ███████╗██████╗     ██╗    ██╗███████╗ ██████╗ 
██╔════╝██║████╗  ██║██╔════╝ ██╔════╝██╔══██╗    ██║    ██║██╔════╝██╔════╝ 
█████╗  ██║██╔██╗ ██║██║  ███╗█████╗  ██████╔╝    ██║ █╗ ██║█████╗  ██║  ███╗
██╔══╝  ██║██║╚██╗██║██║   ██║██╔══╝  ██╔══██╗    ██║███╗██║██╔══╝  ██║   ██║
██║     ██║██║ ╚████║╚██████╔╝███████╗██║  ██║    ╚███╔███╔╝███████╗╚██████╔╝
╚═╝     ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝╚═╝  ╚═╝     ╚══╝╚══╝ ╚══════╝ ╚═════╝ 
*/

const BASE_URL = `${window.location.origin}/${window.location.pathname.split('/').filter((e, i)=>{return i>0 & i<4}).join('/')}`;
const ON = true;
const OFF = false;
const EMPTY_LINK = "javascript:undefined";
const DEFAULT = {
  social: {
    twitter: {
      icon: `${BASE_URL}/assets/images/twitter.png`,
      profile: "https://twitter.com/InnolabM4"
    },
    facebook: {
      icon: `${BASE_URL}/assets/images/facebook.png`,
      profile: "https://www.facebook.com/HfTStuttgart"
    },
    linkedin: {
      icon: `${BASE_URL}/assets/images/linkedin.png`,
      profile: "https://www.linkedin.com/school/hochschule-f%C3%BCr-technik-stuttgart-%E2%80%93-university-of-applied-sciences"
    },
    webpage: {
      icon: `${BASE_URL}/assets/images/webpage.png`,
      profile: "https://www.hft-stuttgart.de"
    }
  },
  avatar: `${BASE_URL}/assets/images/avatar.png`
};

/*
███████╗███████╗████████╗████████╗██╗███╗   ██╗ ██████╗ ███████╗
██╔════╝██╔════╝╚══██╔══╝╚══██╔══╝██║████╗  ██║██╔════╝ ██╔════╝
███████╗█████╗     ██║      ██║   ██║██╔██╗ ██║██║  ███╗███████╗
╚════██║██╔══╝     ██║      ██║   ██║██║╚██╗██║██║   ██║╚════██║
███████║███████╗   ██║      ██║   ██║██║ ╚████║╚██████╔╝███████║
╚══════╝╚══════╝   ╚═╝      ╚═╝   ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝
*/

let settings = {

  pageTitle: "KNIGHT",

  switches: [
    {
      name: "projectLogo",
      state: ON
    },
    {
      name: "projectName",
      state: ON
    },
    {
      name: "menu",
      state: ON
    },
    {
      name: "participants",
      state: ON
    },
    {
      name: "footerLogos",
      state: ON
    }
  ],

  projectLogo: ``,

  projectName: "KNIGHT",

  menu: [
    {
      menuText: "home",
      link: `${BASE_URL}/home/`
    },
    {
      menuText: "results",
      link: `${BASE_URL}/results/`
    },
    {
      menuText: "demo",
      link: "http://example.com"
    }
  ],

  participants: [
    {
      name: "Prof. Dr.-Ing. Dieter Uckelmann",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/c/3/csm_Uckelmann-5_def04d7699.jpg`,
      email: "dieter.uckelmann@hft-stuttgart.de",
      social: [
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: "https://www.linkedin.com/in/dieter-uckelmann-58aaa93"
        },
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/dieter-uckelmann"
        }
      ]
    },
    {
      name: "Prof. Dr. Peter Heusch",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/7/5/csm_Heusch_Peter_Passbild2_00bb878449.jpg`,
      email: "peter.heusch@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/peter-heusch"
        }
      ]
    },
    {
      name: "Prof. Dr. Alexander Rausch",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/1/5/csm_Rausch-Alexander__2__29cbc409b2.jpg`,
      email: "alexander.rausch@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/alexander-rausch"
        }
      ]
    },
    {
      name: "Prof. Dr. Ulrike Pado",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/2/2/csm_Pado-Ulrike__4__5a061080e9.jpg`,
      email: "ulrike.pado@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/ulrike-pado"
        }
      ]
    },
    {
      name: "Prof. Dr. Tobias Popovic",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/0/6/csm_Popovic-Tobias__4__bearbeitet_0cd4ce34b7.jpg`,
      email: "tobias.popovic@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/tobias-popovic"
        }
      ]
    },
    {
      name: "Dr. phil. Diana Arfeli",
      avatar: `${BASE_URL}/assets/images/Arfeli.jpg`,
      email: "diana.arfeli@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/diana-arfeli"
        }
      ]
    },
    {
      name: "Ferdinand Munz",
      avatar: `https://www.hft-stuttgart.de/typo3conf/ext/hft_sitepackage/Resources/Public/img/HFT_logo.svg`,
      email: "ferdinand.munz@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/ferdinand-munz"
        }
      ]
    },
    {
      name: "Muddsair Sharif",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/d/2/csm_Screenshot_2020-08-31_at_10.20.20_fd173e3d66.png`,
      email: "muddsair.sharif@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/muddsair-sharif"
        }
      ]
    },
    {
      name: "Tim Herbst",
      avatar: `${BASE_URL}/assets/images/Herbst.jpg`,
      email: "tim.herbst@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de"
        }
      ]
    },
    {
      name: "Niko Jochim",
      avatar: `${BASE_URL}/assets/images/Jochim.jpg`,
      email: "niko.jochim@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/niko-jochim"
        }
      ]
    },
    {
      name: "Konstanze Mehmedovski",
      avatar: `https://www.hft-stuttgart.de/typo3conf/ext/hft_sitepackage/Resources/Public/img/HFT_logo.svg`,
      email: "konstanze.mehmedovski@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/konstanze-mehmedovski"
        }
      ]
    } ,
    {
      name: "Maximilian Weber",
      avatar: `https://www.hft-stuttgart.de/typo3conf/ext/hft_sitepackage/Resources/Public/img/HFT_logo.svg`,
      email: "maximilian.weber@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de"
        }
      ]
    } ,
    {
      name: "Florentin Vintila",
      avatar: `https://www.hft-stuttgart.de/typo3conf/ext/hft_sitepackage/Resources/Public/img/HFT_logo.svg`,
      email: "florentin.vintila@hft-stuttgart.de",
      social: [
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.hft-stuttgart.de/p/florentin-vintila"
        }
      ]
    }     
  ],

  footerLogos: [
    {
      logo: `${BASE_URL}/assets/logos/Logo_M4_LAB.jpg`,
      href: EMPTY_LINK,
      title: "M4_LAB"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo1.png`,
      href: "http://www.innovative-hochschule.de",
      title: "Innovative Hochschule"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo2.png`,
      href: "https://www.bmbf.de",
      title: "Bundesministerium für Bildung und Forschung"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo3.png`,
      href: "https://www.gwk-bonn.de",
      title: "Die Gemeinsame Wissenschaftskonferenz"
    }
  ]
};
